Subject: LRO: New Guy?

From: "James G.Wolf" <[email-masked]>
Date: Thu, 28 Jun 2001 11:07:21 -0400

Hi guys.  I joined this list because i'm considering a series rover some 
>time in the next few years.
Why not now when they are cheap, after Ford finishes with the them a REAL
Landy will be very expensive. Better stck with the Sprout 8^).

>I'm a IH scout guy, and will always be.
Why bother us then, we aren't "Scout Guys and Gals (TeriAn)"? We are
Land-Rover Guys and Gals. Don't the Scout folks have their own list?
Jim Wolf